Subject: Re: linux-next: Tree for Oct 29

From: Russell King - ARM Linux admin <[email-masked]>
Date: Wed, 30 Oct 2019 10:55:53 +0000

Please trim your replies; there's no need to force everyone to page
through 500 lines of Stephen's email to get to the content of your
message.

On Wed, Oct 30, 2019 at 11:25:19AM +0100, Anders Roxell wrote:
> When I'm building an arm kernel with this .config [1], I can see this
> build error on next tag next-20191029 and next-20191030. Tag
> next-20191028 built fine.
> 
> 
> $ make ARCH=arm CROSS_COMPILE=arm-linux-gnueabi- -skj$(getconf
> _NPROCESSORS_ONLN) O=obj-arm-20191029 zImage
> arm-linux-gnueabi-ld: kernel/trace/trace_preemptirq.o: in function
> `trace_hardirqs_on':
> trace_preemptirq.c:(.text+0x2a0): undefined reference to `return_address'
> arm-linux-gnueabi-ld: trace_preemptirq.c:(.text+0x2dc): undefined
> reference to `return_address'
> arm-linux-gnueabi-ld: kernel/trace/trace_preemptirq.o: in function
> `trace_hardirqs_off':
> trace_preemptirq.c:(.text+0x468): undefined reference to `return_address'
> arm-linux-gnueabi-ld: trace_preemptirq.c:(.text+0x494): undefined
> reference to `return_address'
> arm-linux-gnueabi-ld: kernel/trace/trace_irqsoff.o: in function
> `start_critical_timings':
> trace_irqsoff.c:(.text+0x798): undefined reference to `return_address'
> arm-linux-gnueabi-ld:
> kernel/trace/trace_irqsoff.o:trace_irqsoff.c:(.text+0xed4): more
> undefined references to `return_address' follow
> make[1]: *** [/srv/src/kernel/next-testing/Makefile:1074: vmlinux] Error 1
> make[1]: Target 'zImage' not remade because of errors.
> make: *** [Makefile:179: sub-make] Error 2
> make: Target 'zImage' not remade because of errors.

Known problem with one of Ben Dooks patches, which was dropped very
quickly when Olof's builder spotted the issue... though it looks like
I didn't push it out.  Ben doesn't seem to be responding about his
broken patch though...

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTC broadband for 0.8mile line in suburbia: sync at 12.1Mbps down 622kbps up
According to speedtest.net: 11.9Mbps down 500kbps up